# Risefor - An open-source tool to help citizen communicate with their representatives

This is the code repository of Risefor, you can get information or contact the team on our website : https://risefor.org/

## Choose your templates :

**1. Risefor Main :**

This package contains the full version of Risefor. On each instance, users will be able to create actions on specific subjects & connect them to representatives in order to invite citizen to contact them.


*  See the official deployment here: https://agir.risefor.org/
*  Code available on the branch : [risefor_main/master](https://git.risefor.org/applications/risefor-front)


**2.  Risefor Light: (no longer maintained)**

Risefor light allows you to deploy a landing page on a specific subject easily

*  Examples of Risefor light: 

\- Campaign accompanying a physical action : https://deni-democratie.extinctionrebellion.fr/


*  Code available on the branch : [risefor_light/master](https://git.risefor.org/applications/risefor-front/tree/risefor_light/main)

## Installing the tool : 

Local and server installation tools are available here: https://git.risefor.org/installation/installation-script/

Documentation is available here : https://docs.risefor.org/fr/latest/installation.html

By default the app will run localy on http://localhost:8000/
_More documentation is available in the installation tool repository._


## Common customizations :

Find the faq and all the steps to customize here : https://git.risefor.org/installation/installation-script/

## Admin documentation

Find the documentation to administrate your deployment here :

French : https://docs.risefor.org/fr/latest/plateforme-admin.html


## For more help 
Contact us over here https://agir.risefor.org/contact

## Development

### Typescript and sass
Typescript and SCSS are located in src/
to recompile typescript you need node
node is versioned with [volta.js](https://volta.sh/)
1. Install Volta
2. Install node
`cd united4earth`
`volta install node`
3. Install node dependencies
`npm install`

#### Build Typescript
`cd united4earth && npm run build:ts`
js an maps are outputed to united4earth/static/js
! not all js are compiled with typescript, it is not safe to clean all js and recompile
to keep compatibility and ease of use js compiled files are versioned (for now)